Hex Artifact Content

Artifact e6168c799dc5608a31b708baf0aa2f5453267269:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 4d  2...exit 1.fi..M
00f0: 4b 34 56 45 52 53 3d 22 32 2e 34 2e 39 2e 37 22  K4VERS="2.4.9.7"
0100: 0a 53 52 43 3d 22 73 72 63 2f 6d 65 74 61 6b 69  .SRC="src/metaki
0110: 74 2d 24 7b 4d 4b 34 56 45 52 53 7d 2e 74 61 72  t-${MK4VERS}.tar
0120: 2e 67 7a 22 0a 53 52 43 55 52 4c 3d 22 68 74 74  .gz".SRCURL="htt
0130: 70 3a 2f 2f 77 77 77 2e 65 71 75 69 34 2e 63 6f  p://www.equi4.co
0140: 6d 2f 70 75 62 2f 6d 6b 2f 6d 65 74 61 6b 69 74  m/pub/mk/metakit
0150: 2d 24 7b 4d 4b 34 56 45 52 53 7d 2e 74 61 72 2e  -${MK4VERS}.tar.
0160: 67 7a 22 0a 42 55 49 4c 44 44 49 52 3d 22 24 28  gz".BUILDDIR="$(
0170: 70 77 64 29 2f 62 75 69 6c 64 2f 6d 65 74 61 6b  pwd)/build/metak
0180: 69 74 2d 24 7b 4d 4b 34 56 45 52 53 7d 22 0a 4f  it-${MK4VERS}".O
0190: 55 54 44 49 52 3d 22 24 28 70 77 64 29 2f 6f 75  UTDIR="$(pwd)/ou
01a0: 74 22 0a 49 4e 53 54 44 49 52 3d 22 24 28 70 77  t".INSTDIR="$(pw
01b0: 64 29 2f 69 6e 73 74 22 0a 50 41 54 43 48 44 49  d)/inst".PATCHDI
01c0: 52 3d 22 24 28 70 77 64 29 2f 70 61 74 63 68 65  R="$(pwd)/patche
01d0: 73 22 0a 65 78 70 6f 72 74 20 4d 4b 34 56 45 52  s".export MK4VER
01e0: 53 20 53 52 43 20 53 52 43 55 52 4c 20 42 55 49  S SRC SRCURL BUI
01f0: 4c 44 44 49 52 20 4f 55 54 44 49 52 20 49 4e 53  LDDIR OUTDIR INS
0200: 54 44 49 52 20 50 41 54 43 48 44 49 52 0a 0a 72  TDIR PATCHDIR..r
0210: 6d 20 2d 72 66 20 27 62 75 69 6c 64 27 20 27 6f  m -rf 'build' 'o
0220: 75 74 27 20 27 69 6e 73 74 27 0a 6d 6b 64 69 72  ut' 'inst'.mkdir
0230: 20 27 62 75 69 6c 64 27 20 27 6f 75 74 27 20 27   'build' 'out' '
0240: 69 6e 73 74 27 20 7c 7c 20 65 78 69 74 20 31 0a  inst' || exit 1.
0250: 0a 54 43 4c 5f 56 45 52 53 49 4f 4e 3d 22 75 6e  .TCL_VERSION="un
0260: 6b 6e 6f 77 6e 22 0a 69 66 20 5b 20 2d 66 20 22  known".if [ -f "
0270: 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52 7d 2f  ${TCLCONFIGDIR}/
0280: 74 63 6c 43 6f 6e 66 69 67 2e 73 68 22 20 5d 3b  tclConfig.sh" ];
0290: 20 74 68 65 6e 0a 20 20 20 20 20 20 20 20 73 6f   then.        so
02a0: 75 72 63 65 20 22 24 7b 54 43 4c 43 4f 4e 46 49  urce "${TCLCONFI
02b0: 47 44 49 52 7d 2f 74 63 6c 43 6f 6e 66 69 67 2e  GDIR}/tclConfig.
02c0: 73 68 22 0a 66 69 0a 65 78 70 6f 72 74 20 54 43  sh".fi.export TC
02d0: 4c 5f 56 45 52 53 49 4f 4e 0a 0a 69 66 20 5b 20  L_VERSION..if [ 
02e0: 21 20 2d 66 20 22 24 7b 53 52 43 7d 22 20 5d 3b  ! -f "${SRC}" ];
02f0: 20 74 68 65 6e 0a 09 6d 6b 64 69 72 20 27 73 72   then..mkdir 'sr
0300: 63 27 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20 32 3e  c' >/dev/null 2>
0310: 2f 64 65 76 2f 6e 75 6c 6c 0a 0a 09 69 66 20 5b  /dev/null...if [
0320: 20 21 20 2d 64 20 27 62 75 69 6c 64 73 72 63 27   ! -d 'buildsrc'
0330: 20 5d 3b 20 74 68 65 6e 0a 09 09 72 6d 20 2d 66   ]; then...rm -f
0340: 20 22 24 7b 53 52 43 7d 2e 74 6d 70 22 0a 09 09   "${SRC}.tmp"...
0350: 77 67 65 74 20 2d 4f 20 22 24 7b 53 52 43 7d 2e  wget -O "${SRC}.
0360: 74 6d 70 22 20 22 24 7b 53 52 43 55 52 4c 7d 22  tmp" "${SRCURL}"
0370: 20 7c 7c 20 65 78 69 74 20 31 0a 09 09 6d 76 20   || exit 1...mv 
0380: 22 24 7b 53 52 43 7d 2e 74 6d 70 22 20 22 24 7b  "${SRC}.tmp" "${
0390: 53 52 43 7d 22 0a 09 66 69 0a 66 69 0a 0a 28 0a  SRC}"..fi.fi..(.
03a0: 09 63 64 20 27 62 75 69 6c 64 27 20 7c 7c 20 65  .cd 'build' || e
03b0: 78 69 74 20 31 0a 0a 09 69 66 20 5b 20 21 20 2d  xit 1...if [ ! -
03c0: 64 20 27 2e 2e 2f 62 75 69 6c 64 73 72 63 27 20  d '../buildsrc' 
03d0: 5d 3b 20 74 68 65 6e 0a 09 09 67 7a 69 70 20 2d  ]; then...gzip -
03e0: 64 63 20 22 2e 2e 2f 24 7b 53 52 43 7d 22 20 7c  dc "../${SRC}" |
03f0: 20 74 61 72 20 2d 78 66 20 2d 0a 09 65 6c 73 65   tar -xf -..else
0400: 20 20 20 20 0a 09 09 63 70 20 2d 72 70 20 2e 2e      ...cp -rp ..
0410: 2f 62 75 69 6c 64 73 72 63 2f 2a 20 27 2e 2f 27  /buildsrc/* './'
0420: 0a 09 66 69 0a 0a 09 23 20 41 70 70 6c 79 20 72  ..fi...# Apply r
0430: 65 71 75 69 72 65 64 20 70 61 74 63 68 65 73 0a  equired patches.
0440: 09 63 64 20 22 24 7b 42 55 49 4c 44 44 49 52 7d  .cd "${BUILDDIR}
0450: 22 20 7c 7c 20 65 78 69 74 20 31 0a 09 66 6f 72  " || exit 1..for
0460: 20 70 61 74 63 68 20 69 6e 20 22 24 7b 50 41 54   patch in "${PAT
0470: 43 48 44 49 52 7d 2f 61 6c 6c 22 2f 6d 65 74 61  CHDIR}/all"/meta
0480: 6b 69 74 2d 24 7b 4d 4b 34 56 45 52 53 7d 2d 2a  kit-${MK4VERS}-*
0490: 2e 64 69 66 66 20 22 24 7b 50 41 54 43 48 44 49  .diff "${PATCHDI
04a0: 52 7d 2f 24 7b 54 43 4c 5f 56 45 52 53 49 4f 4e  R}/${TCL_VERSION
04b0: 7d 22 2f 6d 65 74 61 6b 69 74 2d 24 7b 4d 4b 34  }"/metakit-${MK4
04c0: 56 45 52 53 7d 2d 2a 2e 64 69 66 66 3b 20 64 6f  VERS}-*.diff; do
04d0: 0a 09 09 69 66 20 5b 20 21 20 2d 66 20 22 24 7b  ...if [ ! -f "${
04e0: 70 61 74 63 68 7d 22 20 5d 3b 20 74 68 65 6e 0a  patch}" ]; then.
04f0: 09 09 09 63 6f 6e 74 69 6e 75 65 0a 09 09 66 69  ...continue...fi
0500: 0a 0a 09 09 65 63 68 6f 20 22 41 70 70 6c 79 69  ....echo "Applyi
0510: 6e 67 3a 20 24 7b 70 61 74 63 68 7d 22 0a 09 09  ng: ${patch}"...
0520: 24 7b 50 41 54 43 48 3a 2d 70 61 74 63 68 7d 20  ${PATCH:-patch} 
0530: 2d 70 31 20 3c 20 22 24 7b 70 61 74 63 68 7d 22  -p1 < "${patch}"
0540: 0a 09 64 6f 6e 65 0a 0a 09 63 64 20 22 24 7b 42  ..done...cd "${B
0550: 55 49 4c 44 44 49 52 7d 2f 75 6e 69 78 22 20 7c  UILDDIR}/unix" |
0560: 7c 20 65 78 69 74 20 31 0a 0a 09 23 20 49 66 20  | exit 1...# If 
0570: 77 65 20 61 72 65 20 62 75 69 6c 64 69 6e 67 20  we are building 
0580: 66 6f 72 20 57 69 6e 33 32 2c 20 77 65 20 6e 65  for Win32, we ne
0590: 65 64 20 74 6f 20 64 65 66 69 6e 65 20 22 42 55  ed to define "BU
05a0: 49 4c 44 5f 74 63 6c 22 20 73 6f 20 74 68 61 74  ILD_tcl" so that
05b0: 0a 09 23 20 54 43 4c 5f 53 54 4f 52 41 47 45 5f  ..# TCL_STORAGE_
05c0: 43 4c 41 53 53 20 67 65 74 73 20 64 65 66 69 6e  CLASS gets defin
05d0: 65 64 20 61 73 20 44 4c 4c 45 58 50 4f 52 54 2c  ed as DLLEXPORT,
05e0: 20 74 6f 20 6d 61 6b 65 20 73 74 61 74 69 63 20   to make static 
05f0: 6c 69 6e 6b 69 6e 67 0a 09 23 20 77 6f 72 6b 0a  linking..# work.
0600: 09 42 55 49 4c 44 54 59 50 45 3d 22 24 28 62 61  .BUILDTYPE="$(ba
0610: 73 65 6e 61 6d 65 20 22 24 7b 54 43 4c 43 4f 4e  sename "${TCLCON
0620: 46 49 47 44 49 52 7d 22 29 22 0a 09 69 66 20 5b  FIGDIR}")"..if [
0630: 20 22 24 7b 42 55 49 4c 44 54 59 50 45 7d 22 20   "${BUILDTYPE}" 
0640: 3d 20 22 77 69 6e 22 20 5d 3b 20 74 68 65 6e 0a  = "win" ]; then.
0650: 09 09 43 50 50 46 4c 41 47 53 3d 22 24 7b 43 50  ..CPPFLAGS="${CP
0660: 50 46 4c 41 47 53 7d 20 2d 44 42 55 49 4c 44 5f  PFLAGS} -DBUILD_
0670: 74 63 6c 3d 31 22 0a 09 09 65 78 70 6f 72 74 20  tcl=1"...export 
0680: 43 50 50 46 4c 41 47 53 0a 0a 09 09 69 66 20 5b  CPPFLAGS....if [
0690: 20 22 24 7b 53 54 41 54 49 43 4d 4b 34 7d 22 20   "${STATICMK4}" 
06a0: 21 3d 20 22 2d 31 22 20 5d 3b 20 74 68 65 6e 0a  != "-1" ]; then.
06b0: 09 09 09 69 66 20 5b 20 22 24 7b 53 54 41 54 49  ...if [ "${STATI
06c0: 43 4d 4b 34 7d 22 20 3d 20 22 30 22 20 5d 3b 20  CMK4}" = "0" ]; 
06d0: 74 68 65 6e 0a 09 09 09 09 65 63 68 6f 20 27 57  then.....echo 'W
06e0: 61 72 6e 69 6e 67 3a 20 4d 65 74 61 6b 69 74 34  arning: Metakit4
06f0: 20 66 61 69 6c 73 20 74 6f 20 62 75 69 6c 64 20   fails to build 
0700: 73 68 61 72 65 64 20 6f 6e 20 57 69 6e 33 32 2c  shared on Win32,
0710: 20 63 6f 6e 76 65 72 74 69 6e 67 20 74 6f 20 73   converting to s
0720: 74 61 74 69 63 20 6c 69 6e 6b 69 6e 67 27 0a 0a  tatic linking'..
0730: 09 09 09 09 53 54 41 54 49 43 4d 4b 34 3d 22 31  ....STATICMK4="1
0740: 22 0a 09 09 09 66 69 0a 09 09 65 6c 73 65 0a 09  "....fi...else..
0750: 09 09 53 54 41 54 49 43 4d 4b 34 3d 22 30 22 0a  ..STATICMK4="0".
0760: 09 09 66 69 0a 09 09 65 78 70 6f 72 74 20 53 54  ..fi...export ST
0770: 41 54 49 43 4d 4b 34 0a 09 66 69 0a 0a 09 23 20  ATICMK4..fi...# 
0780: 54 72 79 20 74 6f 20 62 75 69 6c 64 20 61 73 20  Try to build as 
0790: 61 20 73 68 61 72 65 64 20 6f 62 6a 65 63 74 20  a shared object 
07a0: 69 66 20 72 65 71 75 65 73 74 65 64 0a 09 69 66  if requested..if
07b0: 20 5b 20 22 24 7b 53 54 41 54 49 43 4d 4b 34 7d   [ "${STATICMK4}
07c0: 22 20 3d 20 22 30 22 20 5d 3b 20 74 68 65 6e 0a  " = "0" ]; then.
07d0: 09 09 74 72 79 6f 70 74 73 3d 22 2d 2d 65 6e 61  ..tryopts="--ena
07e0: 62 6c 65 2d 73 68 61 72 65 64 20 2d 2d 64 69 73  ble-shared --dis
07f0: 61 62 6c 65 2d 73 68 61 72 65 64 22 0a 09 65 6c  able-shared"..el
0800: 69 66 20 5b 20 22 24 7b 53 54 41 54 49 43 4d 4b  if [ "${STATICMK
0810: 34 7d 22 20 3d 20 22 2d 31 22 20 5d 3b 20 74 68  4}" = "-1" ]; th
0820: 65 6e 0a 09 09 74 72 79 6f 70 74 73 3d 22 2d 2d  en...tryopts="--
0830: 65 6e 61 62 6c 65 2d 73 68 61 72 65 64 22 0a 09  enable-shared"..
0840: 65 6c 73 65 0a 09 09 74 72 79 6f 70 74 73 3d 22  else...tryopts="
0850: 2d 2d 64 69 73 61 62 6c 65 2d 73 68 61 72 65 64  --disable-shared
0860: 22 0a 09 66 69 0a 0a 09 53 41 56 45 5f 43 58 58  "..fi...SAVE_CXX
0870: 46 4c 41 47 53 3d 22 24 7b 43 58 58 46 4c 41 47  FLAGS="${CXXFLAG
0880: 53 7d 22 0a 09 66 6f 72 20 74 72 79 6f 70 74 20  S}"..for tryopt 
0890: 69 6e 20 24 74 72 79 6f 70 74 73 20 5f 5f 66 61  in $tryopts __fa
08a0: 69 6c 5f 5f 3b 20 64 6f 0a 09 09 23 20 43 6c 65  il__; do...# Cle
08b0: 61 6e 20 75 70 2c 20 69 66 20 6e 65 65 64 65 64  an up, if needed
08c0: 0a 09 09 6d 61 6b 65 20 64 69 73 74 63 6c 65 61  ...make distclea
08d0: 6e 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20 32 3e 2f  n >/dev/null 2>/
08e0: 64 65 76 2f 6e 75 6c 6c 0a 09 09 72 6d 20 2d 72  dev/null...rm -r
08f0: 66 20 22 24 7b 49 4e 53 54 44 49 52 7d 22 0a 09  f "${INSTDIR}"..
0900: 09 6d 6b 64 69 72 20 22 24 7b 49 4e 53 54 44 49  .mkdir "${INSTDI
0910: 52 7d 22 0a 0a 09 09 69 66 20 5b 20 22 24 7b 74  R}"....if [ "${t
0920: 72 79 6f 70 74 7d 22 20 3d 20 22 5f 5f 66 61 69  ryopt}" = "__fai
0930: 6c 5f 5f 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09  l__" ]; then....
0940: 65 78 69 74 20 31 0a 09 09 66 69 0a 0a 09 09 69  exit 1...fi....i
0950: 66 20 5b 20 22 24 7b 74 72 79 6f 70 74 7d 22 20  f [ "${tryopt}" 
0960: 3d 3d 20 22 2d 2d 65 6e 61 62 6c 65 2d 73 68 61  == "--enable-sha
0970: 72 65 64 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09  red" ]; then....
0980: 69 73 73 68 61 72 65 64 3d 22 31 22 0a 09 09 65  isshared="1"...e
0990: 6c 73 65 0a 09 09 09 69 73 73 68 61 72 65 64 3d  lse....isshared=
09a0: 22 30 22 0a 09 09 66 69 0a 0a 09 09 23 20 49 66  "0"...fi....# If
09b0: 20 62 75 69 6c 64 20 61 20 73 74 61 74 69 63 20   build a static 
09c0: 4d 6b 34 74 63 6c 20 66 6f 72 20 4b 69 74 44 4c  Mk4tcl for KitDL
09d0: 4c 2c 20 65 6e 73 75 72 65 20 74 68 61 74 20 77  L, ensure that w
09e0: 65 20 75 73 65 20 50 49 43 0a 09 09 23 20 73 6f  e use PIC...# so
09f0: 20 74 68 61 74 20 69 74 20 63 61 6e 20 62 65 20   that it can be 
0a00: 6c 69 6e 6b 65 64 20 69 6e 74 6f 20 74 68 65 20  linked into the 
0a10: 73 68 61 72 65 64 20 6f 62 6a 65 63 74 0a 09 09  shared object...
0a20: 69 66 20 5b 20 22 24 7b 69 73 73 68 61 72 65 64  if [ "${isshared
0a30: 7d 22 20 3d 20 22 30 22 20 2d 61 20 22 24 7b 4b  }" = "0" -a "${K
0a40: 49 54 54 41 52 47 45 54 7d 22 20 3d 20 22 6b 69  ITTARGET}" = "ki
0a50: 74 64 6c 6c 22 20 5d 3b 20 74 68 65 6e 0a 09 09  tdll" ]; then...
0a60: 09 43 58 58 46 4c 41 47 53 3d 22 24 7b 53 41 56  .CXXFLAGS="${SAV
0a70: 45 5f 43 58 58 46 4c 41 47 53 7d 20 2d 66 50 49  E_CXXFLAGS} -fPI
0a80: 43 22 0a 09 09 09 65 78 70 6f 72 74 20 43 58 58  C"....export CXX
0a90: 46 4c 41 47 53 0a 09 09 66 69 0a 0a 09 09 28 0a  FLAGS...fi....(.
0aa0: 09 09 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e 67  ...echo "Running
0ab0: 3a 20 2e 2f 63 6f 6e 66 69 67 75 72 65 20 24 74  : ./configure $t
0ac0: 72 79 6f 70 74 20 2d 2d 70 72 65 66 69 78 3d 5c  ryopt --prefix=\
0ad0: 22 24 7b 49 4e 53 54 44 49 52 7d 5c 22 20 2d 2d  "${INSTDIR}\" --
0ae0: 65 78 65 63 2d 70 72 65 66 69 78 3d 5c 22 24 7b  exec-prefix=\"${
0af0: 49 4e 53 54 44 49 52 7d 5c 22 20 2d 2d 6c 69 62  INSTDIR}\" --lib
0b00: 64 69 72 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d  dir=\"${INSTDIR}
0b10: 2f 6c 69 62 5c 22 20 2d 2d 77 69 74 68 2d 74 63  /lib\" --with-tc
0b20: 6c 3d 5c 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44  l=\"${TCLCONFIGD
0b30: 49 52 7d 2f 2e 2e 2f 67 65 6e 65 72 69 63 5c 22  IR}/../generic\"
0b40: 20 24 7b 43 4f 4e 46 49 47 55 52 45 45 58 54 52   ${CONFIGUREEXTR
0b50: 41 7d 22 0a 09 09 09 2e 2f 63 6f 6e 66 69 67 75  A}"...../configu
0b60: 72 65 20 24 74 72 79 6f 70 74 20 2d 2d 70 72 65  re $tryopt --pre
0b70: 66 69 78 3d 22 24 7b 49 4e 53 54 44 49 52 7d 22  fix="${INSTDIR}"
0b80: 20 2d 2d 65 78 65 63 2d 70 72 65 66 69 78 3d 22   --exec-prefix="
0b90: 24 7b 49 4e 53 54 44 49 52 7d 22 20 2d 2d 6c 69  ${INSTDIR}" --li
0ba0: 62 64 69 72 3d 22 24 7b 49 4e 53 54 44 49 52 7d  bdir="${INSTDIR}
0bb0: 2f 6c 69 62 22 20 2d 2d 77 69 74 68 2d 74 63 6c  /lib" --with-tcl
0bc0: 3d 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52  ="${TCLCONFIGDIR
0bd0: 7d 2f 2e 2e 2f 67 65 6e 65 72 69 63 22 20 24 7b  }/../generic" ${
0be0: 43 4f 4e 46 49 47 55 52 45 45 58 54 52 41 7d 0a  CONFIGUREEXTRA}.
0bf0: 0a 09 09 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e  ....echo "Runnin
0c00: 67 3a 20 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d  g: ${MAKE:-make}
0c10: 20 74 63 6c 6c 69 62 64 69 72 3d 5c 22 24 7b 49   tcllibdir=\"${I
0c20: 4e 53 54 44 49 52 7d 2f 6c 69 62 5c 22 20 41 52  NSTDIR}/lib\" AR
0c30: 3d 5c 22 24 7b 41 52 3a 2d 61 72 7d 5c 22 20 52  =\"${AR:-ar}\" R
0c40: 41 4e 4c 49 42 3d 5c 22 24 7b 52 41 4e 4c 49 42  ANLIB=\"${RANLIB
0c50: 3a 2d 72 61 6e 6c 69 62 7d 5c 22 22 0a 09 09 09  :-ranlib}\""....
0c60: 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20 74 63  ${MAKE:-make} tc
0c70: 6c 6c 69 62 64 69 72 3d 22 24 7b 49 4e 53 54 44  llibdir="${INSTD
0c80: 49 52 7d 2f 6c 69 62 22 20 41 52 3d 22 24 7b 41  IR}/lib" AR="${A
0c90: 52 3a 2d 61 72 7d 22 20 52 41 4e 4c 49 42 3d 22  R:-ar}" RANLIB="
0ca0: 24 7b 52 41 4e 4c 49 42 3a 2d 72 61 6e 6c 69 62  ${RANLIB:-ranlib
0cb0: 7d 22 20 7c 7c 20 65 78 69 74 20 31 0a 0a 09 09  }" || exit 1....
0cc0: 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e 67 3a 20  .echo "Running: 
0cd0: 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20 74 63  ${MAKE:-make} tc
0ce0: 6c 6c 69 62 64 69 72 3d 5c 22 24 7b 49 4e 53 54  llibdir=\"${INST
0cf0: 44 49 52 7d 2f 6c 69 62 5c 22 20 41 52 3d 5c 22  DIR}/lib\" AR=\"
0d00: 24 7b 41 52 3a 2d 61 72 7d 5c 22 20 52 41 4e 4c  ${AR:-ar}\" RANL
0d10: 49 42 3d 5c 22 24 7b 52 41 4e 4c 49 42 3a 2d 72  IB=\"${RANLIB:-r
0d20: 61 6e 6c 69 62 7d 5c 22 20 69 6e 73 74 61 6c 6c  anlib}\" install
0d30: 22 0a 09 09 09 24 7b 4d 41 4b 45 3a 2d 6d 61 6b  "....${MAKE:-mak
0d40: 65 7d 20 74 63 6c 6c 69 62 64 69 72 3d 22 24 7b  e} tcllibdir="${
0d50: 49 4e 53 54 44 49 52 7d 2f 6c 69 62 22 20 41 52  INSTDIR}/lib" AR
0d60: 3d 22 24 7b 41 52 3a 2d 61 72 7d 22 20 52 41 4e  ="${AR:-ar}" RAN
0d70: 4c 49 42 3d 22 24 7b 52 41 4e 4c 49 42 3a 2d 72  LIB="${RANLIB:-r
0d80: 61 6e 6c 69 62 7d 22 20 69 6e 73 74 61 6c 6c 20  anlib}" install 
0d90: 7c 7c 20 65 78 69 74 20 31 0a 09 09 29 20 7c 7c  || exit 1...) ||
0da0: 20 63 6f 6e 74 69 6e 75 65 0a 0a 09 09 62 72 65   continue....bre
0db0: 61 6b 0a 09 64 6f 6e 65 0a 0a 09 23 20 43 6c 65  ak..done...# Cle
0dc0: 61 6e 20 75 70 20 22 6c 69 62 6d 6b 34 2e 2a 22  an up "libmk4.*"
0dd0: 2c 20 69 74 27 73 20 6e 6f 74 20 6e 65 65 64 65  , it's not neede
0de0: 64 0a 09 72 6d 20 2d 66 20 22 24 7b 49 4e 53 54  d..rm -f "${INST
0df0: 44 49 52 7d 2f 6c 69 62 22 2f 6c 69 62 6d 6b 34  DIR}/lib"/libmk4
0e00: 2e 2a 0a 0a 09 23 20 49 66 20 77 65 20 61 72 65  .*...# If we are
0e10: 20 62 75 69 6c 64 69 6e 67 20 61 20 73 68 61 72   building a shar
0e20: 65 64 20 76 65 72 73 69 6f 6e 20 6f 66 20 4d 6b  ed version of Mk
0e30: 34 74 63 6c 2c 20 70 75 74 20 69 74 20 69 6e 20  4tcl, put it in 
0e40: 74 68 65 20 56 46 53 20 64 69 72 65 63 74 6f 72  the VFS director
0e50: 79 0a 09 69 66 20 5b 20 22 24 7b 69 73 73 68 61  y..if [ "${issha
0e60: 72 65 64 7d 22 20 3d 20 22 31 22 20 5d 3b 20 74  red}" = "1" ]; t
0e70: 68 65 6e 0a 09 09 63 70 20 2d 72 20 22 24 7b 49  hen...cp -r "${I
0e80: 4e 53 54 44 49 52 7d 2f 6c 69 62 22 20 22 24 7b  NSTDIR}/lib" "${
0e90: 4f 55 54 44 49 52 7d 22 0a 09 66 69 0a 0a 09 65  OUTDIR}"..fi...e
0ea0: 78 69 74 20 30 0a 29 20 7c 7c 20 65 78 69 74 20  xit 0.) || exit 
0eb0: 31 0a 0a 65 78 69 74 20 30 0a                    1..exit 0.